Method: enrichmentAgent.fetchRemediationActions

Full name: projects.locations.instances.enrichmentAgent.fetchRemediationActions

List all remediation actions that can be executed on a given SIEM alert.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/enrichmentAgent:fetchRemediationActions

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent, which owns the collection of actions.

Query parameters

Parameters
siemAlertId

string

Required. The identifier of the SIEM alert.

outcomeCategories[]

string

Optional. Optional outcome categories to filter by.

Request body

The request body must be empty.

Response body

Response for enrichmentAgent.fetchRemediationActions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "integrations": [
    {
      object (AgentIntegrationDetails)
    }
  ]
}
Fields
integrations[]

object (AgentIntegrationDetails)

Output only. List of all integrations that can be used to execute remediation actions.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.